Get one of appointments
curl --request GET \
--url https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 6350,
"appointment_type_id": 1,
"practitioner_id": 109,
"resource_id": 4,
"patient_id": 340,
"location_id": 81,
"starts_at": "2026-09-01T09:00:00",
"ends_at": "2026-09-01T09:30:00",
"status": "pending",
"note": "New patient assessment.",
"is_group": false,
"group_master_id": null,
"group_total_attendees": null,
"cancelled_at": null,
"cancel_note": null,
"columns": 1,
"updated_at": "2026-08-19T14:22:05Z",
"created_at": "2026-01-15T10:30:00Z",
"patient": {
"id": 340,
"first_name": "Augusta",
"last_name": "Lovelace",
"preferred_name": "Ada",
"name": "Ada Lovelace"
}
}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}Appointments
Get one of appointments
GET
https://{clinic}.{region}.practicehub.io/v3/api
/
appointments
/
{id}
Get one of appointments
curl --request GET \
--url https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{clinic}.{region}.practicehub.io/v3/api/appointments/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 6350,
"appointment_type_id": 1,
"practitioner_id": 109,
"resource_id": 4,
"patient_id": 340,
"location_id": 81,
"starts_at": "2026-09-01T09:00:00",
"ends_at": "2026-09-01T09:30:00",
"status": "pending",
"note": "New patient assessment.",
"is_group": false,
"group_master_id": null,
"group_total_attendees": null,
"cancelled_at": null,
"cancel_note": null,
"columns": 1,
"updated_at": "2026-08-19T14:22:05Z",
"created_at": "2026-01-15T10:30:00Z",
"patient": {
"id": 340,
"first_name": "Augusta",
"last_name": "Lovelace",
"preferred_name": "Ada",
"name": "Ada Lovelace"
}
}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}Authorizations
API key from Developers → API Keys, sent as Authorization: Bearer .
Path Parameters
Response
The resource
Show child attributes
Show child attributes
Example:
{
"id": 6350,
"appointment_type_id": 1,
"practitioner_id": 109,
"resource_id": 4,
"patient_id": 340,
"location_id": 81,
"starts_at": "2026-09-01T09:00:00",
"ends_at": "2026-09-01T09:30:00",
"status": "pending",
"note": "New patient assessment.",
"is_group": false,
"group_master_id": null,
"group_total_attendees": null,
"cancelled_at": null,
"cancel_note": null,
"columns": 1,
"updated_at": "2026-08-19T14:22:05Z",
"created_at": "2026-01-15T10:30:00Z",
"patient": {
"id": 340,
"first_name": "Augusta",
"last_name": "Lovelace",
"preferred_name": "Ada",
"name": "Ada Lovelace"
}
}
Was this page helpful?